<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:template match="/">
		<xsl:for-each select="XSD">
			<html>
				<head>
					<style type="text/css" media="print">
						body{background-color: #F1F1F1;}
						.fontBlueBig{color: #010166; font-size: 25px;}
						.fontBlueBig2{color: #FFFFFF; font-size: 20px;}
						.fontBlueMiddle{color: #010166; font-size: 20px;}
						.fontBlueSmall{color: #010166; font-size: 17px;}
						.fontBrownSmall{color: #422802; font-size: 17px;}
						.intestazioneBlue{color: #FFFFFF; font-size: 17px; font-weight: bold;}
						.intestazioneBrown{color: #FFFFFF; font-size: 17px; font-weight: bold;}
						table{border-collapse:collapse; margin: auto; border-color:#000000;}
						.tdBlue{border-style:solid; border-width:1px; border-color:#000000; background-color: #FFFFFF; width: 800px;}
						.tdBlue2{border-style:solid; border-width:1px; border-color:#000000; background-color: #1EABC4; width: 800px;}
						.tdBlue3{border-style:solid; border-width:1px; border-color:#000000; background-color: #AEC6DA;}
						.tdBlue4{border-style:solid; border-width:1px; border-color:#000000; background-color: #CEC6DC;}
						.tdBrown{border-style:solid; border-width:1px; border-color:#000000; background-color: #FFC169; width: 800px;}
						.tdBrown2{border-style:solid; border-width:1px; border-color:#000000; background-color: #F79303; width: 800px;}
						.tdBrown3{border-style:solid; border-width:1px; border-color:#000000; background-color: #E1FAFE; vertical-align:top;}
						.tableErrore{border-style:solid; border-width:1px; border-color:#000000; margin: 1 1 1 1em;}
					</style>
					<style type="text/css" media="screen">
						body{background-color: #F1F1F1;}
						.fontBlueBig{color: #010166; font-size: 25px;}
						.fontBlueBig2{color: #FFFFFF; font-size: 20px;}
						.fontBlueMiddle{color: #010166; font-size: 20px;}
						.fontBlueSmall{color: #010166; font-size: 17px;}
						.fontBrownSmall{color: #422802; font-size: 17px;}
						.intestazioneBlue{color: #FFFFFF; font-size: 17px; font-weight: bold;}
						.intestazioneBrown{color: #FFFFFF; font-size: 17px; font-weight: bold;}
						table{border-collapse:collapse; margin: auto; border-color:#FFFFFF;}
						.tdBlue{border-style:solid; border-width:2px; border-color:#FFFFFF; background-color: #FFFFFF; width: 800px;}
						.tdBlue2{border-style:solid; border-width:2px; border-color:#FFFFFF; background-color: #1EABC4; width: 800px;}
						.tdBlue3{border-style:solid; border-width:2px; border-color:#FFFFFF; background-color: #AEC6DA;}
						.tdBlue4{border-style:solid; border-width:2px; border-color:#FFFFFF; background-color: #DDDDDD;}
						.tdBrown{border-style:solid; border-width:2px; border-color:#FFFFFF; background-color: #FFC169; width: 800px;}
						.tdBrown2{border-style:solid; border-width:2px; border-color:#FFFFFF; background-color: #F79303; width: 800px;}
						.tdBrown3{border-style:solid; border-width:2px; border-color:#FFFFFF; background-color: #E1FAFE; vertical-align:top;}
						.tdTitolo{background-color: #c2c2c2; vertical-align:top;}
						.tdDescr{border-collapse:collapse;background-color: #e2e2e2; vertical-align:top;}
						.tableErrore{border-collapse:collapse; background: #e1e1e1; margin: 10px;}
					</style>
				</head>
				<body>	
					<table align="center" border="1" width="1000">
						<tr>
							<td class="tdBlue2" colspan="2">
								<img src="xsl/testata.jpg"/>
							</td>
						</tr>		
						<tr>
							<td class="tdBlue2" colspan="2">
								<font class="fontBlueBig2"><b>Errori XSD</b></font>
							</td>
						</tr>										
						<xsl:for-each select="SCHEDA_ERRORI">
							<tr>
								<td class="tdBlue3" width="50%">
									<font color="#440000"><b>Errori</b><br /><br /></font>
								</td>
								<td class="tdBlue3" width="50%">
									<font color="#440000"><b>Codice XML</b><br /><br /></font>
								</td>
							</tr>								
							<tr>
								<td class="tdBrown3" width="50%">
									<xsl:for-each select="ERRORE">
										<table class="tableErrore">
											<tr><td class="tdTitolo">Errore</td></tr>
											<tr><td class="tdDescr"><b>Riga: </b><xsl:value-of select="RIGA" /></td></tr>
											<tr><td class="tdDescr"><b>Colonna: </b><xsl:value-of select="COLONNA" /></td></tr>
											<tr><td class="tdDescr"><b>Descrizione:</b><br /><xsl:value-of select="DESCRIZIONE/comment()" /></td></tr>
										</table>
									</xsl:for-each>
								</td>
								<td class="tdBrown3">
								<table class="tableErrore"><tr><td class="tdDescr">
									<xsl:value-of select="CODICE_XML/comment()" />
									</td></tr></table>
								</td>
							</tr>								
						</xsl:for-each>
					</table><br />
				</body>
			</html>
		</xsl:for-each>
	</xsl:template>
</xsl:stylesheet>






